Hello Guest

Author Topic: 2D Toolkit 2.5.8.2  (Read 276 times)

unikronsoftware

  • Administrator
  • Hero Member
  • *****
  • Posts: 9644
    • View Profile
2D Toolkit 2.5.8.2
« on: July 27, 2017, 11:55:03 AM »
Please read the migration guide before updating. 2D Toolkit 2.x is not API compatible with 1.x.
http://2dtoolkit.com/docs/2.4/migration_guide.html

Documentation available at:
http://2dtoolkit.com/docs/2.5


Be sure to run "Setup for JavaScript" after importing if you're using JavaScript/UnityScript or Boo.

What's new
  • More Unity 2017.1f3 compatibility fixes
  • Exported in Unity 5.4. Previous versions of Unity are no longer supported
  • Removed tk2dSkin.dll dependency. Dll has been emptied out for backwards compatibility
  • Lots of bug fixes and improvements
  • Added experimental support for polygon colliders in tilemap. In the tilemap edit page, Edit > Settings > Tile Properties > Use 2D Polygon Colliders to turn this mode on.

Bug fixes and improvements
  • Fixed tilemap prefab instantiation bug
  • Fixed tk2dCamera rotation issue, added support for WSA
  • Fixed issue with some inspectors not saving changes correctly in Unity 5.3+
  • Inertial scrolling fix for scrollable area
  • Removed platform specific functionality for WebPlayer, WP8 and Flash
  • Fixed negative box collider warning
  • Fixed input field string doubling up on Android
  • Rudimentary physics stripping to remove dependencies to 2D and/or 3D physics
  • Fixed deprecation warnings for Unity 5.4 and 5.5
  • Fixed texel size when atlas texture is globally scaled 0.5x or 0.25x
  • Editor collider rebuilder script - Don't rebuild when sprites have "user defined" colliders set
  • Texture importer supports "Sprite" textures as input in Unity 5.5
« Last Edit: July 27, 2017, 11:57:01 AM by unikronsoftware »

jmenossi

  • 2D Toolkit
  • Newbie
  • *
  • Posts: 16
    • View Profile
Re: 2D Toolkit 2.5.8.2
« Reply #1 on: July 27, 2017, 03:48:13 PM »
Thanks for the update!
Many warnings fixed, but I am getting this one:

Invalid AssetDatabase path: C:/Program Files/Unity/Editor/Data/UnityExtensions/Unity/VR/Android/unitygvr.aar. Use path relative to the project folder.
UnityEditor.AssetDatabase:AssetPathToGUID(String)
tk2dSpriteCollectionBuilder:RebuildOutOfDate(String[]) (at Assets/TK2DROOT/tk2d/Editor/Sprites/tk2dSpriteCollectionBuilder.cs:164)
tk2dSpriteCollectionTextureWatcher:OnPostprocessAllAssets(String[], String[], String[], String[]) (at Assets/TK2DROOT/tk2d/Editor/Sprites/tk2dSpriteCollectionTextureWatcher.cs:24)
UnityEditor.AssetPostprocessingInternal:PostprocessAllAssets(String[], String[], String[], String[], String[])

Looks like this is only 1 warning, but it appears about 1000 times if I rebuild the entire project
Not sure if this can be a problem or I can just ignore it.
Thanks!

EDIT: I am using 2.5.8.2 and Unity 2017.1.0f3

« Last Edit: July 27, 2017, 03:51:53 PM by jmenossi »

unikronsoftware

  • Administrator
  • Hero Member
  • *****
  • Posts: 9644
    • View Profile
Re: 2D Toolkit 2.5.8.2
« Reply #2 on: July 27, 2017, 08:05:02 PM »
Leave it with me, I'll sort it out :) Expect another update soon.

I can't reproduce this. Can you give me some additional details so I can try to repro this?
« Last Edit: July 27, 2017, 08:56:40 PM by unikronsoftware »

jmenossi

  • 2D Toolkit
  • Newbie
  • *
  • Posts: 16
    • View Profile
Re: 2D Toolkit 2.5.8.2
« Reply #3 on: July 28, 2017, 09:40:40 AM »
Hi, I've just sent a sample project that reproduces the warnings (at least it does for me).
Hope this helps.
Thanks!

unikronsoftware

  • Administrator
  • Hero Member
  • *****
  • Posts: 9644
    • View Profile
Re: 2D Toolkit 2.5.8.2
« Reply #4 on: July 28, 2017, 09:46:19 AM »
Thanks! I'll investigate this tonight.

Thanks for the repro, I have a fix - this will be in 2.5.8.3
« Last Edit: July 30, 2017, 05:42:59 PM by unikronsoftware »